Bug 1857924 (OCPRHV-277) - OCPRHV-277: ovirt: remove defer ovirtConfig.Save()
Summary: OCPRHV-277: ovirt: remove defer ovirtConfig.Save()
Keywords:
Status: CLOSED ERRATA
Alias: OCPRHV-277
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Douglas Schilling Landgraf
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-16 18:23 UTC by Douglas Schilling Landgraf
Modified: 2020-10-27 16:15 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:15:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3908 0 None closed Bug 1857924: ovirt: remove defer ovirtConfig.Save() 2020-07-21 07:40:10 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:15:45 UTC

Description Douglas Schilling Landgraf 2020-07-16 18:23:15 UTC
Description of problem:

If users press ctrl c in the middle of questionary
process or an error happens it will save whatever users
have provided in the ovirt-config.yaml which can be incomplete and
prevent users to trigger a new installation asking a fresh
round of questions about their env.


Expected results:

Only save file if a connection with Engine which proves the data provided from user is correct.

Comment 3 Guilherme Santos 2020-07-22 13:50:59 UTC
Verified on:
4.6.0-0.nightly-2020-07-22-074636

Steps:
1. # openshift-install create cluster --log-level=debug --dir=resources
2. provide wrong username or password or engine fqdn to prevent connection
3. cancel installation and check for ovirt-config.yaml
# ll ~/.ovirt/ovirt-config.yaml
4. try installation again

Results:
file ovirt-config.yaml not present and new installation asking all info as expected

Comment 5 errata-xmlrpc 2020-10-27 16:15:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.